# Function notifyChange

- notifyChange<TObsv, TPath>(obj, path): void

- Notifies any watchers that a property has changed. Will not notify if the value has not changed.

  Typically only used when a backing field for a getter only property has changed.

  #### Type Parameters

  - TObsv extends ObservableMixin
  - TPath extends string | number | symbol

  #### Parameters

  - obj: TObsv

    The object with the property that changed.

  - path: TPath

    The property that changed.

  #### Returns void

  #### Throws

  Error if the object is not observable.